import { VFS } from './VFS';
import { SourceNode } from '@journeyapps/source-utils';
import { SourceEntry } from './SourceEntry';
export interface StaticEntry {
    content: string;
    path: string;
    /**
     * True if the file should be loaded as a script (entry point).
     *
     * It is generally not required to add libraries / imported files, since they are resolved automatically.
     */
    isScript: boolean;
    /**
     * True if the file can be imported.
     */
    isModule: boolean;
    generated: boolean;
}
/**
 * Serves static files - typically generated, but could also be used for bundled files.
 */
export declare class StaticVFS implements VFS {
    private entries;
    private nodes;
    constructor(entries?: StaticEntry[]);
    add(...entries: StaticEntry[]): void;
    getTargetsFor(source: string): string[] | null;
    info(path: string): SourceEntry | null;
    listFiles(): string[];
    read(path: string): SourceNode | null;
}
