"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requireContext = void 0;
exports.loadPackage = loadPackage;
exports.loadFile = loadFile;
function loadPackage(name, prefix, context, packageData) {
    var _a, _b;
    let fullName = name;
    if (prefix) {
        fullName += `/${prefix}`;
    }
    let result = {};
    for (let key of context.keys()) {
        // Sample: key = './db/indexing/JourneyIndex.d.ts`.
        if (key.startsWith('./')) {
            const fullKey = `${fullName}/${key.substring(2)}`;
            result[fullKey] = context(key).default;
        }
        else {
            console.warn(`Unexpected: ${name} ${prefix} ${key}`, context);
        }
    }
    if (packageData) {
        const typings = (_b = (_a = packageData.appTypings) !== null && _a !== void 0 ? _a : packageData.typings) !== null && _b !== void 0 ? _b : packageData.types;
        result[`${name}/package.json`] = JSON.stringify({ name, typings });
    }
    return result;
}
function loadFile(name, context) {
    if (context) {
        return context.default;
    }
    else {
        throw new Error('context is required');
    }
}
exports.requireContext = null;
//# sourceMappingURL=loadPackageBrowser.js.map