"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TYPE_BLACKLIST = exports.CONTEXTUAL_KEYWORDS = exports.STRICT_RESERVED_WORDS = exports.RESERVED_WORDS = void 0;
exports.isReservedTypeName = isReservedTypeName;
// From: https://github.com/Microsoft/TypeScript/issues/2536
exports.RESERVED_WORDS = [
    'break',
    'case',
    'catch',
    'class',
    'const',
    'continue',
    'debugger',
    'default',
    'delete',
    'do',
    'else',
    'enum',
    'export',
    'extends',
    'false',
    'finally',
    'for',
    'function',
    'if',
    'import',
    'in',
    'instanceof',
    'new',
    'null',
    'return',
    'super',
    'switch',
    'this',
    'throw',
    'true',
    'try',
    'typeof',
    'var',
    'void',
    'while',
    'with'
];
// These currently appear to work fine as interface names.
// Listed here for reference only
exports.STRICT_RESERVED_WORDS = [
    'as',
    'implements',
    'interface',
    'let',
    'package',
    'private',
    'protected',
    'public',
    'static',
    'yield'
];
// Some of these appear to work as interface names, but we blacklist them all.
exports.CONTEXTUAL_KEYWORDS = [
    'any',
    'boolean',
    'constructor',
    'declare',
    'get',
    'module',
    'require',
    'number',
    'set',
    'string',
    'symbol',
    'type',
    'from',
    'of'
];
exports.TYPE_BLACKLIST = {};
for (let key of exports.CONTEXTUAL_KEYWORDS) {
    exports.TYPE_BLACKLIST[key] = true;
}
for (let key of exports.RESERVED_WORDS) {
    exports.TYPE_BLACKLIST[key] = true;
}
/**
 * Return true if the name is reserved in the context of a type / interface name.
 */
function isReservedTypeName(name) {
    return name in exports.TYPE_BLACKLIST;
}
//# sourceMappingURL=reservedKeywords.js.map