"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_LIB_LOCATION = exports.DEFAULT_GLOBAL_IMPORTS = exports.DEFAULT_EXTRA_LIBS_LOCATION = void 0;
exports.extraLibsStatic = extraLibsStatic;
exports.importGlobalsStatic = importGlobalsStatic;
/**
 * Default location for "extraLibs".
 */
exports.DEFAULT_EXTRA_LIBS_LOCATION = 'file:///node_modules/';
/**
 * Default location for global imports file.
 */
exports.DEFAULT_GLOBAL_IMPORTS = 'file:///gen/globals.d.ts';
/**
 * Default location for TypeScript built-in libs.
 */
exports.DEFAULT_LIB_LOCATION = `${exports.DEFAULT_EXTRA_LIBS_LOCATION}typescript/lib/`;
/**
 * Serve a hash of "extraLibs".
 */
function extraLibsStatic(options) {
    var _a;
    const prefix = (_a = options.prefix) !== null && _a !== void 0 ? _a : exports.DEFAULT_EXTRA_LIBS_LOCATION;
    let entries = [];
    const defs = options.extraLibs;
    for (let key in defs) {
        const uri = `${prefix}${key}`;
        const def = defs[key];
        // For now, we only include the packages themselves.
        // We don't want the developer to import individual files.
        const fileName = key.split('/').pop();
        const isModule = fileName == 'package.json';
        entries.push({
            path: uri,
            content: def,
            generated: false,
            isScript: false,
            isModule
        });
    }
    return entries;
}
function importGlobalsStatic(options) {
    var _a;
    const path = (_a = options.definitionPath) !== null && _a !== void 0 ? _a : exports.DEFAULT_GLOBAL_IMPORTS;
    const content = options.preloadLibs.map((lib) => `import ${JSON.stringify(lib)};\n`).join('');
    const entry = {
        path,
        content,
        generated: true,
        isScript: true,
        isModule: false
    };
    return entry;
}
//# sourceMappingURL=staticFiles.js.map