export interface SourceEntry {
  path: string;
  /**
   * The version can be any string, but must change if the source text has changed.
   */
  version: string;
  /**
   * True if the file should be loaded as a script (entry point).
   *
   * It is generally not required to add libraries / imported files, since they are resolved automatically.
   */
  isScript: boolean;
  /**
   * True if the file can be imported.
   */
  isModule: boolean;
  /**
   * True if the file was generated, instead of read directly from the filesystem.
   */
  generated: boolean;
}
